Loading...
Searching...
No Matches
XrdOfsEvr::theClient Class Reference

`#include <XrdOfsEvr.hh>`

Inheritance diagram for XrdOfsEvr::theClient:
Collaboration diagram for XrdOfsEvr::theClient:

## Public Member Functions

| theClient (XrdOfsEvr *evr, XrdOucErrInfo *einfo, const char *path=0)
| ~theClient ()
void | Done (int &Result, XrdOucErrInfo *eInfo, const char *path=0)
int | Same (unsigned long long arg1, unsigned long long arg2)

## Public Attributes

XrdOfsEvr * | EvrP
XrdOucEICB * | evtCB
unsigned long long | evtCBarg
theClient * | Next
char * | Path
const char * | User

## Detailed Description

Definition at line 62 of file XrdOfsEvr.hh.

## Constructor & Destructor Documentation

## theClient()

XrdOfsEvr::theClient::theClient | ( | XrdOfsEvr * | evr,
|  | XrdOucErrInfo * | einfo,
|  | const char * | path = 0 )

inline

Definition at line 79 of file XrdOfsEvr.hh.

{evtCB = einfo->getErrCB(evtCBarg);
User = einfo->getErrUser();
Path = (path ? strdup(path) : 0);
EvrP = evr;
Next = 0;
}
XrdOfsEvr::theClient::evtCB
XrdOucEICB * evtCB
Definition XrdOfsEvr.hh:76
XrdOfsEvr::theClient::EvrP
XrdOfsEvr * EvrP
Definition XrdOfsEvr.hh:75
XrdOfsEvr::theClient::evtCBarg
unsigned long long evtCBarg
Definition XrdOfsEvr.hh:77
XrdOfsEvr::theClient::Next
theClient * Next
Definition XrdOfsEvr.hh:72
XrdOfsEvr::theClient::Path
char * Path
Definition XrdOfsEvr.hh:74
XrdOfsEvr::theClient::User
const char * User
Definition XrdOfsEvr.hh:73
XrdOucErrInfo::getErrUser
const char * getErrUser()
Definition XrdOucErrInfo.hh:297
XrdOucErrInfo::getErrCB
XrdOucEICB * getErrCB()
Definition XrdOucErrInfo.hh:224

References XrdOfsEvr::XrdOfsEvr(), EvrP, evtCB, evtCBarg, XrdOucErrInfo::getErrCB(), XrdOucErrInfo::getErrUser(), Next, Path, and User.

Here is the call graph for this function:

## ~theClient()

XrdOfsEvr::theClient::~theClient | ( |  | ) |

inline

Definition at line 86 of file XrdOfsEvr.hh.

{if (Path) free(Path);}

References Path.

## Member Function Documentation

## Done()

void XrdOfsEvr::theClient::Done | ( | int & | Result,
|  | XrdOucErrInfo * | eInfo,
|  | const char * | Path = 0 )

inline virtual

Invoke a callback after an operation completes.

Parameters

  Result | - the original function's result (may be changed).

  eInfo

  - Associated error information. The eInfo object may not be modified until it's own callback Done() method is called, if supplied. If the callback function in eInfo is zero, then the eInfo object is deleted by the invoked callback. Otherwise, that method must be invoked by this callback function after the actual callback message is sent. This allows the callback requestor to do post-processing and be asynchronous being assured that the callback completed.

  Path | - Optionally, the path related to thid request. It is used for tracing and detailed monitoring purposes.

Implements XrdOucEICB.

Definition at line 66 of file XrdOfsEvr.hh.

{ (void)Result; (void)eInfo; (void)path; EvrP->Work4Event(this);}

References EvrP.

## Same()

int XrdOfsEvr::theClient::Same | ( | unsigned long long | arg1,
|  | unsigned long long | arg2 )

inline virtual

Determine if two callback arguments refer to the same client.

Parameters

  arg1 | - The first callback argument.
  arg2 | - The second callback argument.

Returns
  !0 - The arguments refer to the same client.
  =0 - The arguments refer to the different clients.

Implements XrdOucEICB.

Definition at line 69 of file XrdOfsEvr.hh.

{ (void)arg1; (void)arg2; return 0;}

## Member Data Documentation

## EvrP

XrdOfsEvr* XrdOfsEvr::theClient::EvrP

Definition at line 75 of file XrdOfsEvr.hh.

Referenced by theClient(), and Done().

## evtCB

XrdOucEICB* XrdOfsEvr::theClient::evtCB

Definition at line 76 of file XrdOfsEvr.hh.

Referenced by theClient(), and XrdOfsEvr::Work4Event().

## evtCBarg

unsigned long long XrdOfsEvr::theClient::evtCBarg

Definition at line 77 of file XrdOfsEvr.hh.

Referenced by theClient(), and XrdOfsEvr::Work4Event().

## Next

theClient* XrdOfsEvr::theClient::Next

Definition at line 72 of file XrdOfsEvr.hh.

Referenced by theClient(), XrdOfsEvr::flushEvents(), and XrdOfsEvr::Work4Event().

## Path

char* XrdOfsEvr::theClient::Path

Definition at line 74 of file XrdOfsEvr.hh.

Referenced by theClient(), ~theClient(), XrdOfsEvr::flushEvents(), and XrdOfsEvr::Work4Event().

## User

const char* XrdOfsEvr::theClient::User

Definition at line 73 of file XrdOfsEvr.hh.

Referenced by theClient().

The documentation for this class was generated from the following file:

- XrdOfsEvr.hh